OAICreateParametersRepository
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.contentmanager.oaiplugin.types
Class OAICreateParametersRepository

    java.lang.Object
      org.gcube.contentmanagement.contentmanager.oaiplugin.types.OAICreateParameters
          org.gcube.contentmanagement.contentmanager.oaiplugin.types.OAICreateParametersRepository

    public class OAICreateParametersRepository

extends OAICreateParameters

Constructor Summary
`OAICreateParametersRepository(java.lang.String baseUrl, java.lang.String contentTag, java.lang.String defaultMDFPrefix, java.lang.String... setIdentifiers)`

Method Summary
`java.lang.String` | `getDescription()`
`java.util.List<java.lang.String>` | `getSetIdentifierList()`
`void` | `setDescription(java.lang.String description)`
`void` | `setSetIdentifierList(java.util.List<java.lang.String> setIdentifierList)`

Methods inherited from class org.gcube.contentmanagement.contentmanager.oaiplugin.types.OAICreateParameters
`getAlternativesXpath, getBaseUrl, getContentXPath, getDefaultMdFormat, getListMetadataFormat, getPrefix, getRecordTitleXPath, getRepositoryName, setAlternativesXpath, setBaseUrl, setContentXPath, setDefaultMdFormat, setListMetadataFormat, setPrefix, setRecordTitleXPath, setRepositoryName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OAICreateParametersRepository

    public OAICreateParametersRepository(java.lang.String baseUrl,
                                         java.lang.String contentTag,
                                         java.lang.String defaultMDFPrefix,
                                         java.lang.String... setIdentifiers)

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getSetIdentifierList

    public java.util.List<java.lang.String> getSetIdentifierList()

### setSetIdentifierList

    public void setSetIdentifierList(java.util.List<java.lang.String> setIdentifierList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD